<?php
require '../../../zb_system/function/c_system_base.php';
require '../../../zb_system/function/c_system_admin.php';
$zbp->Load();
$action = 'root';
if (!$zbp->CheckRights($action)) {$zbp->ShowError(6);die();}
if (!$zbp->CheckPlugin('PingTool')) {$zbp->ShowError(48);die();}

$blogtitle = 'PingTool';

if (GetVars('action', 'GET') == 'save_setting') {
	//var_dump($zbp);exit;
	$zbp->Config('PingTool')->strData = GetVars('data', 'POST');
	$zbp->SaveConfig('PingTool');
	$zbp->SetHint('good');
	Redirect('main.php');
	exit;
}

$data = '';
$data = $zbp->Config('PingTool')->strData;

require $blogpath . 'zb_system/admin/admin_header.php';
require $blogpath . 'zb_system/admin/admin_top.php';
?>

<div id="divMain">
  <div class="divHeader"><?php echo $blogtitle;?></div>
  <div class="SubMenu"> </div>
  <div id="divMain2">
    <form border="1" name="edit" id="edit" method="post" action="main.php?action=save_setting">
      <p><b>设置Ping中心</b></p>
      <p>
        <textarea style="height:300px;width:100%" name="data" id="data"><?php echo TransferHTML($data, '[textarea]');?></textarea>
      </p>
      <p>&nbsp;</p>
      <p>
        <input type="submit" class="button" value="提交" name="B1"/>
      </p>
      几个常用地址：
      <div id="ccdz">
        <p>谷歌Ping地址：<a href="http://blogsearch.google.com/ping/RPC2" onclick="return false;">http://blogsearch.google.com/ping/RPC2</a> </p>
        <p>百度Ping地址：<a href="http://ping.baidu.com/ping/RPC2" onclick="return false;">http://ping.baidu.com/ping/RPC2</a> </p>
        <p>PingOmatic:<a href="http://rpc.pingomatic.com/" onclick="return false">http://rpc.pingomatic.com/</a></p>
      </div>
    </form>
  </div>
</div>
        <script type="text/javascript">$(document).ready(function(e) {$("#ccdz a").each(function(i){$(this).bind("click",function(){$("#data").html($("#data").html()+$(this).attr("href")+"\n")})})});</script>

<?php
require $blogpath . 'zb_system/admin/admin_footer.php';
RunTime();
?>
